<div>

  <div>
    <dx-tree-list
      id="tasks"
      [dataSource]="ipData"
      keyExpr="id"
      parentIdExpr="parenT_ID"
      [columnAutoWidth]="true"
      [wordWrapEnabled]="true"
      [showBorders]="true">
      <dxo-scrolling mode="standard"></dxo-scrolling>
      <dxo-paging 
          [enabled]="true"
          [pageSize]="10">
      </dxo-paging>
      <dxo-pager 
          [showPageSizeSelector]="true"
          [allowedPageSizes]="[5, 10, 20]"
          [showInfo]="true">
      </dxo-pager>
      <dxo-search-panel [visible]="true"></dxo-search-panel>
      <dxi-column dxi-column *ngFor="let column of ipDetailsColumn" [dataField]="column.field" [caption]="column.caption"></dxi-column>
    </dx-tree-list>
  </div>

</div>

